Redmine - Defect #11563

Can't Install any plugin for Redmine
2012-08-01 15:42 - john zhel

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: No feedback Affected version: 1.4.4
Description

My machine info: Build Operating System: Linux 2.6.18-194.11.1.el5 x86_64 Red Hat, Inc.

Downloaded BitNami redmine 1.4 stack from here http://bitnami.org/stack/redmine/

After installation, | can successfully see Redmine and login as a user.
Next, | just need some plugins.

| followed the instruction here: http://answers.bitnami.org/questions/1785/install-the-bitnami-redmine-plugins

Copy the plugin files to the "plugins" directory and run the following in Terminal

$ cd installdir

$ ./use_redmine

$ cd apps/redmine/htdocs

$ rake db:migrate_plugins RAILS_ENV=production

After rake, | see the following error in Terminal:

(in /home/abcdefg/public_html/pm/apps/redmine/htdocs) rake aborted! uninitialized constant YAML::ENGINE
/home/abcdefg/public_html/pm/apps/redmine/htdocs/Rakefile:4:in “require’ (See full trace by running task with --trace)

Why is that? How to fix it?

| also tried a plugin that does not need migration. Just copy the files over to plugins directory, and type ./ctlscript.sh restart Redmine
in terminal and it seems running ok and | checked status, it shows:

subversion already running
apache already running
mysq|l already running

But, when | go the the browser and browse to http://localhost:8082/redmine/ , it returns 500 internal server error message; the error
goes away if | deleted the plugins files | copied in.

In summary, | have 2 problems, both related to installing redmine plugins.

1. can not run rake db:migrate_plugins RAILS_ENV=production
2. for plugins that do not need migration, new plugins cause 500 internal server error

What should | do to debug these problems? Thank you so much for your help :)

History

#1 - 2012-08-30 12:04 - Etienne Massip

1. Run rake with --trace as suggested
2. Look into your production.log file to get error stack trace

#2 - 2012-08-30 16:40 - john zhel

Etienne Massip wrote:
http://bitnami.org/stack/redmine/
http://answers.bitnami.org/questions/1785/install-the-bitnami-redmine-plugins
http://localhost:8082/redmine/

1. Run rake with --trace as suggested
2. Look into your production.log file to get error stack trace
Hello Etienne,
Thank you for replying to my questions.
How do | "Run rake with --trace "? (I'm 100% NB here, LOL) Please advise :)

#3 - 2012-08-30 17:07 - Etienne Massip
rake db:migrate_plugins RAILS_ENV=production --trace =)

#4 - 2013-02-01 21:43 - Jan Niggemann (redmine.org team member)

- Status changed from New to Needs feedback

#5 - 2013-09-01 22:53 - Jan Niggemann (redmine.org team member)
- Status changed from Needs feedback to Closed

- Resolution set to No feedback
